⌘K

Sora 2 Pro - Text to Video

sora_2_pro_t2v

Vtrix Sora2 Pro Text to Video generates high-quality professional videos from text descriptions with advanced AI capabilities.

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key.

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request.

Value: sora_2_pro_t2v


prompt string required

Natural language description of the shot. Include shot type, subject, action, setting, lighting, and any required camera movement to reduce ambiguity. Keep it single-purpose for best adherence


size string

Output resolution (width x height)

Options:

  • 720x1280: Portrait
  • 1280x720: Landscape

Default: 720x1280


seconds string

Video duration in seconds

Options: 4, 8, 12

Default: 4


remix_video_id string

ID of a previously completed video (e.g., video_...) to reuse structure, motion, and framing


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information. Only present when status is failed.

code string

Error code

error_message string

Detailed error message


output array

Generation results. Only present when status is completed.

content array

List of generated content

type string

Resource type, e.g., video, image

url string

Generated content URL

size string

Content size


usage object

Usage statistics. Only present when status is completed.

cost string

Total cost in USD

discount number

Discount amount


metadata object

Metadata information


Error Codes

Error CodeDescription
002999095Internal generation error
002999096Result parsing error
002999097HTTP error response
002999098Status check error
002999099Task creation error